<?php
require("../LdapManager.php");
require("../LdapConf.php");

$lm=new LdapManager($LDAP_SERVER_NAME,$LDAP_SERVER_PORT);
$lm->setOption(LDAP_OPT_PROTOCOL_VERSION,3);
$lm->connectLdap($LDAP_USER,$LDAP_PASS);

header('Content-type: text/xml');
echo "<?xml version='1.0' encoding='UTF-8'?>\n";
echo utf8_encode("<Entries>\n");
if (array_key_exists('dnbase',$_GET)) {
    $dnbase=base64_decode($_GET['dnbase']);
    $filter="(objectClass=*)";
    if (array_key_exists('filter',$_GET)) {
        $filter=base64_decode($_GET['filter']);
    }
    $scope='sub';
    if (array_key_exists('scope',$_GET)) {
        $scope=$_GET['scope'];
    }
    $selAttr=array();
    if (array_key_exists('selAttr',$_GET)) {
        $selAttr=explode(",",base64_decode($_GET['selAttr']));
    }
    
    if (strcmp($scope,'sub')==0) {
        $listEntries=$lm->search($dnbase,$filter,false,$selAttr);
    }
    else if (strcmp($scope,'one')==0) {
        $listEntries=$lm->search($dnbase,$filter,true,$selAttr);
    }
    else {
        $listEntries=array($lm->getEntry($dnbase,$selAttr));
    }
    
    foreach ($listEntries as $entry) {
        echo utf8_encode($entry->getXML());
    }
}
echo utf8_encode("</Entries>\n");
?>
